## normaliz 2.12.2+ds

=== source/CMakeLists.txt ===
# Pre-requisites about cmake itself
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 NEW) # new in 2.6 
  cmake_policy(SET CMP0003 NEW) # new in 2.6 
  if(POLICY CMP0042)            # new in 2.8.2
    cmake_policy(SET CMP0042 NEW)  # MACOSX_RPATH enabled by default
  endif(POLICY CMP0042)
endif(COMMAND cmake_policy)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

# The project name and the type of project
PROJECT(libnormaliz)
SET(MAJOR_VERSION 2)
SET(MINOR_VERSION 12)
SET(PATCH_VERSION 2)
SET(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
SET(VERSION ${VERSION_STRING})

# automatically set lib suffix, disabled for now
#IF(UNIX AND NOT APPLE AND NOT CMAKE_CROSSCOMPILING AND NOT EXISTS "/etc/debian_version")
#  IF(CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT LIB_SUFFIX)
#    SET(LIB_SUFFIX 64)
#  ENDIF()
#ENDIF()

# PkgConfig
SET(prefix      ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
SET(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

IF(${UNIX})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
ENDIF(${UNIX})
IF(${WIN32})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF(${WIN32})

#set default build type
#IF (NOT CMAKE_BUILD_TYPE)  #or IF (NOT DEFINED CMAKE_BUILD_TYPE)
#  SET(CMAKE_BUILD_TYPE Release)
#ENDIF (NOT CMAKE_BUILD_TYPE)

##### Always full RPATH  #####

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


# the RPATH to be used when installing, but only if it's not a system directory
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF("${isSystemDir}" STREQUAL "-1")

##############################

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib") #needed on mac


# compiler flags
IF (MSVC)
  SET (CXX_WARNING_FLAGS "/Wall")
  SET (CXX_OPTIMIZATION_FLAGS "/O2")
ELSE ()
  SET (CXX_WARNING_FLAGS "-Wall -pedantic -Wno-long-long")
  SET (CXX_OPTIMIZATION_FLAGS "-O3 -funroll-loops")
ENDIF ()
SET (NMZ_OPENMP "YES" CACHE BOOL "use openmp")
IF (NMZ_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF (OPENMP_FOUND)
    SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
  ELSE (OPENMP_FOUND)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
    SET (NMZ_OPENMP "NO")
  ENDIF(OPENMP_FOUND)
ENDIF (NMZ_OPENMP)
IF (NOT NMZ_OPENMP)
  SET (CXX_WARNING_FLAGS "${CXX_WARNING_FLAGS} -Wno-unknown-pragmas")
ENDIF (NOT NMZ_OPENMP)

# add compiler flags
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")

# handle static compilation
SET (NMZ_BUILD_STATIC "NO" CACHE BOOL "build normaliz statically")
IF (NMZ_BUILD_STATIC)
  IF (${APPLE})
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
    # make it compatible with older Mac versions
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.6")
  ELSEIF (${UNIX})
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
  ELSE ()
    MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
  ENDIF ()
ENDIF (NMZ_BUILD_STATIC)

# find gmp
FIND_PACKAGE(GMP REQUIRED)
INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
IF (GMP_FOUND)
  MESSAGE(STATUS "GMP found with include dir: ${GMP_INCLUDE_DIR}")
  MESSAGE(STATUS "GMP found with lib dir: ${GMP_LIBRARIES_DIR}")
  MESSAGE(STATUS "GMP found with lib : ${GMP_LIBRARIES}")
  MESSAGE(STATUS "GMP found with static lib : ${GMP_STATIC_LIBRARIES}")
ENDIF()

FIND_PACKAGE(GMPXX REQUIRED)
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})
IF (GMPXX_FOUND)
  MESSAGE(STATUS "GMPXX found with include dir: ${GMPXX_INCLUDE_DIR}")
  MESSAGE(STATUS "GMPXX found with lib : ${GMPXX_LIBRARIES}")
  MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
ENDIF()

ADD_SUBDIRECTORY(libnormaliz)

# add the normaliz executable
ADD_EXECUTABLE (normaliz Normaliz.cpp)

IF (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-static)
  TARGET_LINK_LIBRARIES (normaliz ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  #Static start and end
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
ELSE (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-shared)
  TARGET_LINK_LIBRARIES (normaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
ENDIF (NMZ_BUILD_STATIC)



INSTALL(TARGETS normaliz DESTINATION bin)



#custom make targets
ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall package"
    COMMAND xargs ARGS rm < install_manifest.txt
    TARGET  uninstall
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall only implemented in unix"
    TARGET  uninstall
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (dep @echo install package dependencies)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies"
    COMMAND ./make_dep.sh ARGS -d ../dependencies
    TARGET  dep
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies only implemented in unix"
    TARGET  dep
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (check)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "run tests"
    COMMAND make --directory=../test/ NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
    TARGET  check
    DEPENDS normaliz
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "check only implemented in unix"
    TARGET  check
  )
ENDIF(UNIX)

=== source/Makefile ===
##
## Makefile for normaliz
##
include Makefile.configuration

LIBSOURCES = $(wildcard libnormaliz/*.cpp)
LIBHEADERS = $(wildcard libnormaliz/*.h)

SOURCES = $(wildcard *.cpp)
HEADERS = $(wildcard *.h)

.PHONY : default all linknormaliz
default: linknormaliz
all: lib normaliz normaliz1

linknormaliz: lib
	@$(MAKE) normaliz

normaliz.o: $(SOURCES) $(HEADERS) $(LIBHEADERS)
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c Normaliz.cpp -o normaliz.o

normaliz: $(SOURCES) $(HEADERS) normaliz.o libnormaliz/libnormaliz.a
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) normaliz.o libnormaliz/libnormaliz.a $(GMPFLAGS) -o normaliz

normaliz1: $(SOURCES) $(HEADERS) $(LIBHEADERS) $(LIBSOURCES)
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) Normaliz-impl.cpp $(GMPFLAGS) -o normaliz1

normaliz-pg: $(SOURCES) $(HEADERS) $(LIBHEADERS) $(LIBSOURCES)
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -pg Normaliz-impl.cpp $(GMPFLAGS) -o normaliz-pg


#always go down the directory and let the make there check what has to be done
.PHONY : lib
lib:
	$(MAKE) --directory=libnormaliz libnormaliz.a


.PHONY : clean
clean:
	$(MAKE) --directory=libnormaliz clean
	-rm -f normaliz.o
	-rm -f normaliz
	-rm -f normaliz?
	-rm -f normaliz-pg

=== source/genEhrhart/Makefile ===
# Makefile for genEhrhart

COCOA_ROOT=$(HOME)/CoCoA/CoCoALib-0.99533
include $(COCOA_ROOT)/configuration/autoconf.mk

include ../Makefile.configuration

ALL_C=$(wildcard *.C)
ALL_EXECS=$(ALL_C:.C=)

# Rule for compiling and linking C++ code in *.C files
nmzIntegrate: nmzIntegrate.C nmzIntInput.C nmzIntPoly.C cyclRatFunct.C genEhrhart.C nmzIntegral.C 
	@echo "Compiling `basename $@`"
	$(COMPILE) -o $@ $< ../libnormaliz/libnormaliz.a $(COCOA_LIB) $(GMPFLAGS) #-pthread

.PHONY: library
library:
	@(cd $(COCOA_ROOT); $(MAKE) library)

.PHONY: clean
clean:
	@/bin/rm -f $(ALL_EXECS) *.o

$(ALL_EXECS): $(COCOA_LIB)

=== source/libnormaliz/CMakeLists.txt ===
# libnormaliz source files
SET(sources cone_property.cpp HilbertSeries.cpp libnormaliz-templated.cpp)
# libnormaliz header files
SET(headers cone.h cone_property.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h)

# add the necessary include directories
INCLUDE_DIRECTORIES(.)
FIND_PACKAGE(Boost REQUIRED)
IF (Boost_FOUND)
  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
ENDIF()
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

SET (NMZ_BUILD_BOTH "NO" CACHE BOOL "build shared AND static libnormaliz")

IF (NMZ_BUILD_BOTH OR NOT NMZ_BUILD_STATIC)
  # create the shared library
  ADD_LIBRARY(normaliz-shared SHARED ${sources})
  SET_TARGET_PROPERTIES(normaliz-shared PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  # set the dependency on gmp
  TARGET_LINK_LIBRARIES (normaliz-shared ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
  INSTALL(TARGETS normaliz-shared
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    RUNTIME DESTINATION bin
    COMPONENT sharedlibs
  )
ENDIF ()

IF (NMZ_BUILD_BOTH OR NMZ_BUILD_STATIC)
  #create the static library
  ADD_LIBRARY(normaliz-static STATIC ${sources})
  SET_TARGET_PROPERTIES(normaliz-static PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  INSTALL(TARGETS normaliz-static ARCHIVE DESTINATION lib${LIB_SUFFIX})
ENDIF ()

INSTALL(FILES ${headers} DESTINATION include/${PROJECT_NAME} COMPONENT headers)

SET(LIBNORMALIZ_INCLUDE_DIR ${includedir})
SET(LIBNORMALIZ_INCLUDE_DIRS ${LIBNORMALIZ_INCLUDE_DIR})
SET(LIBNORMALIZ_ROOT_DIR ${prefix})
SET(LIBNORMALIZ_VERSION_STRING ${VERSION_STRING})
SET(LIBNORMALIZ_VERSION_MAJOR ${MAJOR_VERSION})
SET(LIBNORMALIZ_VERSION_MINOR ${MINOR_VERSION})
SET(LIBNORMALIZ_VERSION_PATCH ${PATCH_VERSION})
SET(LIBNORMALIZ_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBNORMALIZ_CMAKE_CONFIG_DIR}/UseLibnormaliz.cmake)
CONFIGURE_FILE(../LibnormalizConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake @ONLY)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake ../UseLibnormaliz.cmake DESTINATION ${LIBNORMALIZ_CMAKE_CONFIG_DIR})

#ADD_SUBDIRECTORY(examples)

=== source/libnormaliz/Makefile ===
##
## Makefile for libnormaliz
##
include ../Makefile.configuration

LIBSOURCES = $(wildcard *.cpp)
LIBHEADERS = $(wildcard *.h)

default: libnormaliz.a

all: default

libnormaliz.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-impl.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-impl.cpp -o libnormaliz.o

cone_property.o: cone_property.h cone_property.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_property.cpp -o $@

hilbert_series.o: $(LIBHEADERS) HilbertSeries.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c HilbertSeries.cpp -o $@

libnormaliz-templated.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-templated.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-templated.cpp -o $@

libnormaliz.a: cone_property.o hilbert_series.o libnormaliz-templated.o
	ar -cr $@ $^

clean:
	-rm -f *.o
	-rm -f libnormaliz.a

.PHONY : default clean all

=== debian/changelog ===
normaliz (2.12.2+ds-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:32:17 +0100

normaliz (2.12.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #776019)

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 03 May 2015 00:56:24 +0000

=== debian/control ===
Source: normaliz
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 cmake, help2man,
 libgmp-dev, libboost-dev
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-fonts-extra
Standards-Version: 3.9.6
Homepage: http://www.math.uos.de/normaliz/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/normaliz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/normaliz.git

Package: normaliz
Architecture: any
Depends: normaliz-bin, ${misc:Depends}
Suggests: singular
Description: math computing tools for affine monoids, rational polytopes and cones
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This dummy package provides the standard installation.

Package: libnormaliz0v5
Provides: libnormaliz
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnormaliz0, libnormaliz
Multi-Arch: same
Replaces: libnormaliz0
Description: math computing tools for affine monoids, rational polytopes and cones - libs
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the shared libraries required to run programs compiled
 against the Normaliz library. To compile your own programs you also need to
 install the libnormaliz0-dev package.

Package: libnormaliz0-dev
Provides: libnormaliz-dev
Section: libdevel
Architecture: any
Depends: libnormaliz0v5 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
Conflicts: libnormaliz-dev
Suggests: normaliz-bin (= ${binary:Version})
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - libdev
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains static libraries and symbolic links that developers
 using the Normaliz library will need.

Package: libnormaliz0-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - headers
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains the header files that developers using the Normaliz
 library will need.

Package: normaliz-bin
Architecture: any
Depends: libnormaliz0v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: normaliz-doc (= ${binary:Version})
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - bin
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the command line utility normaliz.

Package: libnormaliz0v5-dbg
Provides: libnormaliz-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnormaliz0v5 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnormaliz0-dbg, libnormaliz-dbg
Suggests: pkg-config
Multi-Arch: same
Replaces: libnormaliz0-dbg
Description: math computing tools for affine monoids, rational polytopes and cones - debug
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the debugging symbols for the libraries from
 the libnormaliz0-dev package.

Package: normaliz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: normaliz (=${binary:Version}), pdf-viewer
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - doc
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the user guide for the normaliz tool suite;
 it also contains examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_PKG_VERSION = $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export TOP_SRCDIR=$(CURDIR)

CMAKE ?= /usr/bin/cmake

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@  --sourcedirectory=source --builddirectory=_build --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

override_dh_prep-arch:
	$(MAKE) -f debian/adhoc/Makefile manpages

override_dh_auto_install-indep:
	cd _build && DESTDIR=$(CURDIR)/debian/tmp $(CMAKE) -DCOMPONENT=headers -P cmake_install.cmake
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C example install DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_strip:
	dh_strip --dbg-package=libnormaliz0v5-dbg

override_dh_auto_clean-indep:
	[ ! -f doc/Makefile ] || $(MAKE) -C doc maintainer-clean

get-orig-source:
	uscan --no-conf --download-current-version --verbose

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://www.home.uni-osnabrueck.de/wbruns/normaliz/Normaliz([\d\.]+)/Normaliz([\d\.]+)\.zip \
debian sh debian/repack

## normaliz 3.0.0%2Bds

=== source/genEhrhart/Makefile ===
# Makefile for genEhrhart

COCOA_ROOT=$(HOME)/CoCoA/CoCoALib-0.99538
include $(COCOA_ROOT)/configuration/autoconf.mk

include ../Makefile.configuration

CXXFLAGS += -I ..

ALL_C=$(wildcard *.C)
ALL_EXECS=$(ALL_C:.C=)

# Rule for compiling and linking C++ code in *.C files
# LDLIBS contains COCOA_LIB and everythink it needs
nmzIntegrate: nmzIntegrate.C nmzIntInput.C nmzIntPoly.C cyclRatFunct.C genEhrhart.C nmzIntegral.C 
	@echo "Compiling `basename $@`"
	$(COMPILE) -o $@ $< ../libnormaliz/libnormaliz.a $(LDLIBS) #-pthread

.PHONY: library
library:
	@(cd $(COCOA_ROOT); $(MAKE) library)

.PHONY: clean
clean:
	@/bin/rm -f $(ALL_EXECS) *.o

$(ALL_EXECS): $(COCOA_LIB)

## normaliz 3.0.0+ds

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 # The project name and the type of project
 PROJECT(libnormaliz)
-SET(MAJOR_VERSION 2)
-SET(MINOR_VERSION 12)
-SET(PATCH_VERSION 2)
-SET(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
+SET(VERSION_MAJOR 3)
+SET(VERSION_MINOR 0)
+SET(VERSION_PATCH 0)
+SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 SET(VERSION ${VERSION_STRING})
 
 # automatically set lib suffix, disabled for now
@@ -76,8 +76,8 @@
   SET (CXX_WARNING_FLAGS "/Wall")
   SET (CXX_OPTIMIZATION_FLAGS "/O2")
 ELSE ()
-  SET (CXX_WARNING_FLAGS "-Wall -pedantic -Wno-long-long")
-  SET (CXX_OPTIMIZATION_FLAGS "-O3 -funroll-loops")
+  SET (CXX_WARNING_FLAGS "-Wall -pedantic")
+  SET (CXX_OPTIMIZATION_FLAGS "-O3")
 ENDIF ()
 SET (NMZ_OPENMP "YES" CACHE BOOL "use openmp")
 IF (NMZ_OPENMP)
@@ -88,7 +88,7 @@
     SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
   ELSE (OPENMP_FOUND)
     MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
-    SET (NMZ_OPENMP "NO")
+    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
   ENDIF(OPENMP_FOUND)
 ENDIF (NMZ_OPENMP)
 IF (NOT NMZ_OPENMP)
@@ -98,19 +98,54 @@
 # add compiler flags
 SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")
 
+INCLUDE_DIRECTORIES(.)
+
+IF (NOT MSVC)
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
+  if(COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+  elseif(COMPILER_SUPPORTS_CXX0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+  else()
+    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
+  endif()
+  IF (${APPLE})
+    IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND (COMPILER_SUPPORTS_CXX11 OR COMPILER_SUPPORTS_CXX0X) )
+      # using clang with new c++11 library on Apple
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+    ENDIF ()
+  ENDIF ()
+ENDIF()
+
 # handle static compilation
 SET (NMZ_BUILD_STATIC "NO" CACHE BOOL "build normaliz statically")
 IF (NMZ_BUILD_STATIC)
   IF (${APPLE})
-    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
+    IF (CMAKE_COMPILER_IS_GNUCXX)
+        SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
+    ENDIF (CMAKE_COMPILER_IS_GNUCXX)
     # make it compatible with older Mac versions
-    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.6")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
   ELSEIF (${UNIX})
     SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
   ELSE ()
     MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
   ENDIF ()
 ENDIF (NMZ_BUILD_STATIC)
+
+
+# handle usage of SCIP
+SET (NMZ_SCIP "NO" CACHE BOOL "Use SCIP")
+IF (NMZ_SCIP)
+  FIND_PACKAGE(SCIP REQUIRED)
+  SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
+  INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
+  MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
+  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
+ENDIF (NMZ_SCIP)
+
 
 # find gmp
 FIND_PACKAGE(GMP REQUIRED)
@@ -130,6 +165,40 @@
   MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
 ENDIF()
 
+
+# handle offload to mic (intel xeon phi)
+SET (NMZ_MIC_OFFLOAD "NO" CACHE BOOL "Use offload to mic (intel xeon phi)")
+IF (NMZ_MIC_OFFLOAD)
+  IF ( NOT UNIX OR APPLE )
+    MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
+  ENDIF()
+  IF ( NMZ_SCIP )
+    MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
+  ENDIF()
+
+  # find gmp for mic
+  FIND_PACKAGE(MIC_GMP REQUIRED)
+  INCLUDE_DIRECTORIES(${MIC_GMP_INCLUDE_DIR})  #probably not the correct place
+  IF (MIC_GMP_FOUND)
+    MESSAGE(STATUS "MIC_GMP found with include dir: ${MIC_GMP_INCLUDE_DIR}")
+    MESSAGE(STATUS "MIC_GMP found with lib dir: ${MIC_GMP_LIBRARIES_DIR}")
+    MESSAGE(STATUS "MIC_GMP found with lib : ${MIC_GMP_LIBRARIES}")
+    MESSAGE(STATUS "MIC_GMP found with static lib : ${MIC_GMP_STATIC_LIBRARIES}")
+  ENDIF()
+  FIND_PACKAGE(MIC_GMPXX REQUIRED)
+  INCLUDE_DIRECTORIES(${MIC_GMPXX_INCLUDE_DIR}) #probably not the correct place
+  IF (MIC_GMPXX_FOUND)
+    MESSAGE(STATUS "MIC_GMPXX found with include dir: ${MIC_GMPXX_INCLUDE_DIR}")
+    MESSAGE(STATUS "MIC_GMPXX found with lib : ${MIC_GMPXX_LIBRARIES}")
+    MESSAGE(STATUS "MIC_GMPXX found with static lib : ${MIC_GMPXX_STATIC_LIBRARIES}")
+  ENDIF()
+  SET (NMZ_MIC_FLAGS "-offload-option,mic,compiler,\"-L${MIC_GMP_LIBRARIES_DIR} -lgmpxx -lgmp\" -DNMZ_MIC_OFFLOAD")
+  SET (NMZ_MIC_FLAGS "${NMZ_MIC_FLAGS} -wd3218")
+  MESSAGE(STATUS "Adding to compiler flags NMZ_MIC_FLAGS=${NMZ_MIC_FLAGS}")
+  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_MIC_FLAGS}")
+ENDIF (NMZ_MIC_OFFLOAD)
+
+
 ADD_SUBDIRECTORY(libnormaliz)
 
 # add the normaliz executable
@@ -141,15 +210,21 @@
   #Static start and end
   SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
   SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
+  # Don't try to modify the RPATH
+  SET_TARGET_PROPERTIES(normaliz PROPERTIES INSTALL_RPATH "")
 ELSE (NMZ_BUILD_STATIC)
   TARGET_LINK_LIBRARIES (normaliz normaliz-shared)
   TARGET_LINK_LIBRARIES (normaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
 ENDIF (NMZ_BUILD_STATIC)
 
+#link optional libs
+IF (NMZ_SCIP)
+  MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
+  TARGET_LINK_LIBRARIES (normaliz ${SCIP_LIBRARY})
+ENDIF (NMZ_SCIP)
 
 
 INSTALL(TARGETS normaliz DESTINATION bin)
-
 
 
 #custom make targets

=== source/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 SOURCES = $(wildcard *.cpp)
 HEADERS = $(wildcard *.h)
+
+CXXFLAGS += -I .
 
 .PHONY : default all linknormaliz
 default: linknormaliz
@@ -20,13 +22,13 @@
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c Normaliz.cpp -o normaliz.o
 
 normaliz: $(SOURCES) $(HEADERS) normaliz.o libnormaliz/libnormaliz.a
-	$(CXX) $(CXXFLAGS) $(NORMFLAGS) normaliz.o libnormaliz/libnormaliz.a $(GMPFLAGS) -o normaliz
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) normaliz.o libnormaliz/libnormaliz.a $(LINKFLAGS) -o normaliz
 
 normaliz1: $(SOURCES) $(HEADERS) $(LIBHEADERS) $(LIBSOURCES)
-	$(CXX) $(CXXFLAGS) $(NORMFLAGS) Normaliz-impl.cpp $(GMPFLAGS) -o normaliz1
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) Normaliz-impl.cpp $(LINKFLAGS) -o normaliz1
 
 normaliz-pg: $(SOURCES) $(HEADERS) $(LIBHEADERS) $(LIBSOURCES)
-	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -pg Normaliz-impl.cpp $(GMPFLAGS) -o normaliz-pg
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -pg Normaliz-impl.cpp $(LINKFLAGS) -o normaliz-pg
 
 
 #always go down the directory and let the make there check what has to be done

=== test/Makefile ===
## default normaliz bin
ifndef (NORMALIZ)
  NORMALIZ = ../source/normaliz
endif


#NORMPARA += -c
#NORMPARA += -x=1
DIFF = diff -b
#NICE = nice -n19


TEST_FILES_S = $(patsubst %.in,%.diff,$(wildcard test-s/*.in))
TEST_FILES_V = $(patsubst %.in,%.diff,$(wildcard test-v/*.in))
TEST_FILES_N = $(patsubst %.in,%.diff,$(wildcard test-n/*.in))
TEST_FILES_NN = $(patsubst %.in,%.diff,$(wildcard test-nn/*.in))
TEST_FILES_MM = $(patsubst %.in,%.diff,$(wildcard test-mm/*.in))
TEST_FILES_H = $(patsubst %.in,%.diff,$(wildcard test-h/*.in))
TEST_FILES_P = $(patsubst %.in,%.diff,$(wildcard test-p/*.in))
TEST_FILES_Q = $(patsubst %.in,%.diff,$(wildcard test-q/*.in))
TEST_FILES_1 = $(patsubst %.in,%.diff,$(wildcard test-1/*.in))
TEST_FILES_D = $(patsubst %.in,%.diff,$(wildcard test-d/*.in))
TEST_FILES_D1 = $(patsubst %.in,%.diff,$(wildcard test-d1/*.in))
TEST_FILES_R1 = $(patsubst %.in,%.diff,$(wildcard test-r1/*.in))
TEST_FILES_DEFAULT = $(patsubst %.in,%.diff,$(wildcard test-/*.in))


#fehlen noch: tests testM
all: testv testn test1 testN testq testp testd testh testdefault testd1 testr1 testM
tests: $(TEST_FILES_S)
testv: $(TEST_FILES_V)
testN: $(TEST_FILES_NN)
testn: $(TEST_FILES_N)
testh: $(TEST_FILES_H)
testp: $(TEST_FILES_P)
testq: $(TEST_FILES_Q)
test1: $(TEST_FILES_1)
testdefault: $(TEST_FILES_DEFAULT)
testd: $(TEST_FILES_D)
testd1: $(TEST_FILES_D1)
testr1: $(TEST_FILES_R1)
testM: $(TEST_FILES_MM)

#compare rule
%.diff: %.out %.ref
	$(DIFF) $*.ref $*.out > $*.diff

#rules to generate the test files
test-s/%.out: $(NORMALIZ) test-s/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -s test-s/$*
test-v/%.out: $(NORMALIZ) test-v/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -v test-v/$*
test-1/%.out: $(NORMALIZ) test-1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -1 test-1/$*
test-n/%.out: $(NORMALIZ) test-n/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -n test-n/$*
test-nn/%.out: $(NORMALIZ) test-nn/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -N test-nn/$*
test-mm/%.out: $(NORMALIZ) test-mm/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -M test-mm/$*
test-p/%.out: $(NORMALIZ) test-p/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -p test-p/$*
test-q/%.out: $(NORMALIZ) test-q/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -q test-q/$*
test-d/%.out: $(NORMALIZ) test-d/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -d test-d/$*
test-h/%.out: $(NORMALIZ) test-h/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -h test-h/$*
test-/%.out: $(NORMALIZ) test-/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) test-/$*
test-d1/%.out: $(NORMALIZ) test-d1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -d1 test-d1/$*
test-r1/%.out: $(NORMALIZ) test-r1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -r1 test-r1/$*



clean:
	-rm -f test-*/*.diff

distclean: clean
	-rm -f test-*/*.out

.PRECIOUS: test-s/%.out
.PRECIOUS: test-v/%.out
.PRECIOUS: test-1/%.out
.PRECIOUS: test-n/%.out
.PRECIOUS: test-nn/%.out
.PRECIOUS: test-mm/%.out
.PRECIOUS: test-p/%.out
.PRECIOUS: test-q/%.out
.PRECIOUS: test-d/%.out
.PRECIOUS: test-d1/%.out
.PRECIOUS: test-r1/%.out
.PRECIOUS: test-h/%.out
.PRECIOUS: test-/%.out
.PHONY: all testdefault tests testn test1 testN testp testh testd testd1 testH clean distclean

=== source/libnormaliz/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # libnormaliz source files
-SET(sources cone_property.cpp HilbertSeries.cpp libnormaliz-templated.cpp)
+SET(sources cone_property.cpp HilbertSeries.cpp libnormaliz-templated.cpp offload_handler.cpp bottom.cpp)
 # libnormaliz header files
-SET(headers cone.h cone_property.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h)
+SET(headers cone.h cone_property.h convert.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h version.h)
 
 # add the necessary include directories
-INCLUDE_DIRECTORIES(.)
+INCLUDE_DIRECTORIES(..)
 FIND_PACKAGE(Boost REQUIRED)
-IF (Boost_FOUND)
-  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
-ENDIF()
+#IF (Boost_FOUND)
+#  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
+#ENDIF()
 INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})
 
 SET (NMZ_BUILD_BOTH "NO" CACHE BOOL "build shared AND static libnormaliz")
@@ -40,9 +40,10 @@
 SET(LIBNORMALIZ_INCLUDE_DIRS ${LIBNORMALIZ_INCLUDE_DIR})
 SET(LIBNORMALIZ_ROOT_DIR ${prefix})
 SET(LIBNORMALIZ_VERSION_STRING ${VERSION_STRING})
-SET(LIBNORMALIZ_VERSION_MAJOR ${MAJOR_VERSION})
-SET(LIBNORMALIZ_VERSION_MINOR ${MINOR_VERSION})
-SET(LIBNORMALIZ_VERSION_PATCH ${PATCH_VERSION})
+SET(LIBNORMALIZ_VERSION_MAJOR ${VERSION_MAJOR})
+SET(LIBNORMALIZ_VERSION_MINOR ${VERSION_MINOR})
+SET(LIBNORMALIZ_VERSION_PATCH ${VERSION_PATCH})
+CONFIGURE_FILE(version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h @ONLY)
 SET(LIBNORMALIZ_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBNORMALIZ_CMAKE_CONFIG_DIR}/UseLibnormaliz.cmake)
 CONFIGURE_FILE(../LibnormalizConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake @ONLY)
 #INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake ../UseLibnormaliz.cmake DESTINATION ${LIBNORMALIZ_CMAKE_CONFIG_DIR})

=== source/libnormaliz/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 LIBSOURCES = $(wildcard *.cpp)
 LIBHEADERS = $(wildcard *.h)
+
+CXXFLAGS += -I ..
 
 default: libnormaliz.a
 
@@ -16,13 +18,19 @@
 cone_property.o: cone_property.h cone_property.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_property.cpp -o $@
 
+offload_handler.o: $(LIBHEADERS) offload_handler.cpp
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c offload_handler.cpp -o $@
+
+bottom.o: $(LIBHEADERS) bottom.cpp
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c bottom.cpp -o $@
+
 hilbert_series.o: $(LIBHEADERS) HilbertSeries.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c HilbertSeries.cpp -o $@
 
 libnormaliz-templated.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-templated.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-templated.cpp -o $@
 
-libnormaliz.a: cone_property.o hilbert_series.o libnormaliz-templated.o
+libnormaliz.a: cone_property.o hilbert_series.o libnormaliz-templated.o bottom.o offload_handler.o
 	ar -cr $@ $^
 
 clean:

=== debian/changelog ===
normaliz (3.0.0+ds-3ubuntu1) xenial; urgency=medium

  * Re-sync with Debian unstable.
  * Add transitional packages libnormaliz0v5 and libnormaliz0v5-dbg,
    these may be dropped in 16.10.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Jan 2016 15:25:35 +0200

normaliz (3.0.0+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #806769), disable OMP support on mipsel arch.
  * Debianization:
    - debian/rule, see above.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015 04:15:03 +0000

normaliz (3.0.0+ds-2) unstable; urgency=medium

  * FTBFS fix release (Closes: #804742).
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debian/rules, refresh;
    - debian/patches/upstream-fix-gmp-ambiguous_call.patch, C++ ambiguity fix.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 19 Nov 2015 05:14:41 +0000

normaliz (3.0.0+ds-1) unstable; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering further the
      upstream source more suitable for distribution packaging;
    - and for integrating the last upstream debian patches.
  * Upload to unstable.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/watch:
      - update;
    - debian/rules:
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 11 Oct 2015 05:27:10 +0000

normaliz (2.99.4+ds-1) experimental; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering the upstream
      source more suitable for distribution packaging;
    - and for integrating most of the upstream debian patches.
  * Debianization:
    - debian/control:
      - refresh;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - software test suite, ad-hoc check;
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Sep 2015 02:42:52 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  cmake, help2man,
  libgmp-dev, libboost-dev
 Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-fonts-extra
+ texlive-latex-base, texlive-latex-recommended, texlive-pictures,
+ texlive-fonts-recommended, texlive-fonts-extra
 Standards-Version: 3.9.6
 Homepage: http://www.math.uos.de/normaliz/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/normaliz.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/normaliz.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
 
 Package: normaliz
 Architecture: any
@@ -25,15 +26,14 @@
  .
  This dummy package provides the standard installation.
 
-Package: libnormaliz0v5
+Package: libnormaliz0
 Provides: libnormaliz
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnormaliz0, libnormaliz
+Conflicts: libnormaliz
 Multi-Arch: same
-Replaces: libnormaliz0
 Description: math computing tools for affine monoids, rational polytopes and cones - libs
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -46,7 +46,7 @@
 Provides: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libnormaliz0 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same
@@ -71,7 +71,7 @@
 
 Package: normaliz-bin
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnormaliz0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: normaliz-doc (= ${binary:Version})
 Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones - bin
@@ -80,16 +80,15 @@
  .
  This package provides the command line utility normaliz.
 
-Package: libnormaliz0v5-dbg
+Package: libnormaliz0-dbg
 Provides: libnormaliz-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libnormaliz0-dbg, libnormaliz-dbg
+Depends: libnormaliz0 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libnormaliz-dbg
 Suggests: pkg-config
 Multi-Arch: same
-Replaces: libnormaliz0-dbg
 Description: math computing tools for affine monoids, rational polytopes and cones - debug
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -109,3 +108,23 @@
  .
  This package provides the user guide for the normaliz tool suite;
  it also contains examples.
+
+Package: libnormaliz0v5
+Section: oldlibs
+Architecture: any
+Depends: libnormaliz0 (= ${binary:Version})
+Description: math computing tools for affine monoids, rational polytopes and cones - doc
+ Normaliz is a mathematical tool for computations in affine monoids, vector
+ configurations, lattice polytopes, and rational cones.
+ .
+ This is a transitional package and can safely be removed.
+
+Package: libnormaliz0v5-dbg
+Section: oldlibs
+Architecture: any
+Depends: libnormaliz0-dbg (= ${binary:Version})
+Description: math computing tools for affine monoids, rational polytopes and cones - doc
+ Normaliz is a mathematical tool for computations in affine monoids, vector
+ configurations, lattice polytopes, and rational cones.
+ .
+ This is a transitional package and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -S Version)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export TOP_SRCDIR=$(CURDIR)

CMAKE ?= /usr/bin/cmake

## At the time of coding, GOMP emits random `Bus error' during test on mipsel
## architecture machines --- see bugreport #806769 for further information.
## -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015
ifeq (mipsel-linux-gnu,$(DEB_HOST_MULTIARCH))
DEB_PKG_NMZ_OPENMP=NO
else
DEB_PKG_NMZ_OPENMP=YES
endif

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@  --sourcedirectory=source --builddirectory=_build --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DNMZ_OPENMP:BOOL=$(DEB_PKG_NMZ_OPENMP)

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

override_dh_auto_test-arch:
	$(MAKE) -C test NORMALIZ=$(CURDIR)/_build/normaliz

override_dh_prep-arch:
	$(MAKE) -f debian/adhoc/Makefile manpages

override_dh_auto_install-indep:
	cd _build && DESTDIR=$(CURDIR)/debian/tmp $(CMAKE) -DCOMPONENT=headers -P cmake_install.cmake
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_strip:
	dh_strip --dbg-package=libnormaliz0-dbg

override_dh_auto_clean-indep:
	[ ! -f doc/Makefile ] || $(MAKE) -C doc maintainer-clean

override_dh_clean-arch:
	$(MAKE) -C test distclean
	dh_clean -a

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds \
http://www.home.uni-osnabrueck.de/wbruns/normaliz/Normaliz([\d\.]+)/Normaliz([\d\.]+)Source\.zip
